### null_buffers

(Deprecated: Use the socket/descriptor wait() and async_wait() member functions.) An implementation of both the ConstBufferSequence and MutableBufferSequence concepts to represent a null buffer sequence.

    class null_buffers

##### Types

Name | Description
--- | ---
const_iterator | A random-access iterator type that may be used to read elements.
value_type | The type for each element in the list of buffers.

##### Member Functions

Name | Description
--- | ---
begin | Get a random-access iterator to the first element.
end | Get a random-access iterator for one past the last element.

##### Requirements

Header: `asio/buffer.hpp`

Convenience header: `asio.hpp`